org.openstreetmap.josm.plugins.streetside.actions

## Class StreetsideDownloadViewAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.openstreetmap.josm.actions.JosmAction
    - - org.openstreetmap.josm.plugins.streetside.actions.StreetsideDownloadViewAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action, AbstractProperty.ValueChangeListener<String>, Destroyable

      public class StreetsideDownloadViewAction
      extends JosmAction
      implements AbstractProperty.ValueChangeListener<String>

  If in "download images in visible area" mode, downloads all the images in the current view.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.openstreetmap.josm.actions.JosmAction

      `JosmAction.ActiveLayerChangeAdapter, JosmAction.LayerChangeAdapter, JosmAction.SelectionChangeAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static String` | `DESCRIPTION`
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class org.openstreetmap.josm.actions.JosmAction

      `sc`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideDownloadViewAction()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent arg0)`
    `protected boolean` | `listenToSelectionChange()`
    `protected void` | `updateEnabledState()` Enabled when the Streetside layer is instantiated and download mode is either "osm area" or "manual".
    `void` | `valueChanged(AbstractProperty.ValueChangeEvent<? extends String> e)`

    - ### Methods inherited from class org.openstreetmap.josm.actions.JosmAction

      `checkAndConfirmOutlyingOperation, destroy, getLayerManager, getShortcut, initEnabledState, installAdapters, listenToLayerChange, setTooltip, updateEnabledState, updateEnabledStateOnCurrentSelection, updateEnabledStateOnCurrentSelection, updateEnabledStateOnModifiableSelection, waitFuture`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          private static final String DESCRIPTION

  - ### Constructor Detail

    - #### StreetsideDownloadViewAction

          public StreetsideDownloadViewAction()

      Main constructor.

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent arg0)

      Specified by:
        `actionPerformed` in interface `ActionListener`

    - #### listenToSelectionChange

          protected boolean listenToSelectionChange()

      Overrides:
        `listenToSelectionChange` in class `JosmAction`

    - #### updateEnabledState

          protected void updateEnabledState()

      Enabled when the Streetside layer is instantiated and download mode is either "osm area" or "manual".
      Overrides:
        `updateEnabledState` in class `JosmAction`

    - #### valueChanged

          public void valueChanged(AbstractProperty.ValueChangeEvent<? extends String> e)

      Specified by:
        `valueChanged` in interface `AbstractProperty.ValueChangeListener<String>`

JOSM Plugins